Issue 1288 Make all of darcs compile with witnesses enabled.

Title Make all of darcs compile with witnesses enabled.
Priority feature Status resolved
Milestone 2.5.0 Resolved in 2.5.0
Superseder Nosy List darcs-devel, dmitry.kurochkin, ganesh, kowey, mornfall, thorkilnaur, tux_rocker
Assigned To ganesh

Created on 2008-12-28.11:33:01 by mornfall, last changed 2010-09-05.15:21:49 by tux_rocker.

msg6915 (view) Author: mornfall Date: 2008-12-28.11:32:54
I am filing this so that we have a list of things to be addressed by 2.3, in 
the bugtracker. Rationale: we should be able to test darcs in a single 
compilation pass. I have sent a patch to enable witness compilation as part of 
normal build process. However, it would speed up the build to only do a single 
pass instead of two. It would also likely improve overall safety of the code 
and possibly uncover new bugs.
msg11407 (view) Author: tux_rocker Date: 2010-06-14.06:54:59
This belongs to Ganesh AFAIK. He said on IRC he's going to try to get it
done by 2.5.
msg11695 (view) Author: ganesh Date: 2010-07-08.18:20:04
The following patch updated issue issue1288 with status=resolved;resolvedin=2.6.0 HEAD

* Resolve issue1288: the main darcs code now compiles and runs with witnesses 
Ignore-this: d98c7c5db6b6cdd72da8e9693ab25385
Date User Action Args
2008-12-28 11:33:01mornfallcreate
2009-08-10 23:53:10adminsetnosy: - dagit
2009-08-18 15:37:07koweysetstatus: has-patch -> needs-implementation
nosy: kowey, simon, thorkilnaur, dmitry.kurochkin, mornfall
topic: + Target-2.4, - Target-2.3
assignedto: dagit -> (no value)
2009-08-25 17:37:13adminsetnosy: + darcs-devel, - simon
2009-08-27 14:27:09adminsetnosy: kowey, darcs-devel, thorkilnaur, dmitry.kurochkin, mornfall
2009-09-14 10:49:41koweysettopic: + Target-2.5, - Target-2.4
nosy: kowey, darcs-devel, thorkilnaur, dmitry.kurochkin, mornfall
2010-06-14 06:54:59tux_rockersetassignedto: ganesh
messages: + msg11407
nosy: + tux_rocker, ganesh
2010-06-15 20:51:50adminsetmilestone: 2.5.0
2010-06-15 20:59:06adminsettopic: - Target-2.5
2010-07-06 19:37:33ganeshlinkpatch296 issues
2010-07-08 18:20:05ganeshsetstatus: needs-implementation -> resolved
messages: + msg11695
resolvedin: 2.8.0
2010-09-05 15:21:49tux_rockersetresolvedin: 2.8.0 -> 2.5.0